import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class OnBalanceVolumeIndicator extends StrategyBasedIndicator {
    static $t: Type;
    protected bk(): Series;
    protected get_ab5(): IndicatorCalculationStrategy;
    protected get ab5(): IndicatorCalculationStrategy;
    protected get_aci(): Type;
    protected get aci(): Type;
}
